Doing the offset is easy and putting in correct layer is part of it, I am just hesitant to do the code which by the way is out there, but I would rather fix up the messy plines 1st.
s
(defun c:wow ( / )
(setq pt1 (getpoint "\nPick 1st point "))
(setq pt2 (getpoint "\nPick 2nd point "))
(setq ent1 (ssname (ssget pt1) 0))
(command "break" pt1 pt2)
(setq ent2 (entlast))
(command "LINE" pt1 pt2 "")
(command "pedit" ent1 "J" (entlast) ent2 "" "X")
(princ)
)
(c:wow)
Please be patient. Worked out how to remove extras. Have a select align so now start to put it all together as one program.
Just a side note the dwg has some weird things in it some of the linework is duplicated or partially duplicated is this correct ? Look at curved end plines right side. This is at top.